Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.codehaus.aspectwerkz.aspect
Interface AspectContainer

All Known Implementing Classes:
  AbstractAspectContainer, DefaultAspectContainerStrategy

    public interface AspectContainer

Interface for that all aspect container implementations must implement.

Author:
  Jonas Bonr

Method Summary
`Object` | `aspectOf()` Creates a new perJVM cross-cutting instance, if it already exists then return it.
`Object` | `aspectOf(Class klass)` Creates a new perClass cross-cutting instance, if it already exists then return it.
`Object` | `aspectOf(Object instance)` Creates a new perInstance cross-cutting instance, if it already exists then return it.
`Object` | `aspectOf(Thread thread)` Creates a new perThread cross-cutting instance, if it already exists then return it.
`AspectContext` | `getContext()` Returns the context.

Method Detail

### aspectOf

    Object aspectOf()

  Creates a new perJVM cross-cutting instance, if it already exists then return it.

  Returns:
    the cross-cutting instance

### aspectOf

    Object aspectOf(Class klass)

  Creates a new perClass cross-cutting instance, if it already exists then return it.

  Parameters:
    `klass` -
  Returns:
    the cross-cutting instance

### aspectOf

    Object aspectOf(Object instance)

  Creates a new perInstance cross-cutting instance, if it already exists then return it.

  Parameters:
    `instance` -
  Returns:
    the cross-cutting instance

### aspectOf

    Object aspectOf(Thread thread)

  Creates a new perThread cross-cutting instance, if it already exists then return it.

  Parameters:
    `thread` - the thread for the aspect
  Returns:
    the cross-cutting instance

### getContext

    AspectContext getContext()

  Returns the context.

  Returns:
    the context

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2002-2005 Jonas Bonér, Alexandre Vasseur. All Rights Reserved.